/// <reference types="ioredis" />
/// <reference types="bluebird" />
import * as Redis from 'ioredis';
import { Observable } from 'rxjs/Observable';
import * as Promise from 'bluebird';
export declare class PubsubManager {
    private options;
    private redisClient;
    private topicMaps;
    constructor(host?: string, port?: number, options?: Redis.RedisOptions);
    publish(topic: string, message: string): Promise<number>;
    consume(topic: string): Observable<any>;
    unsubscribe(topic: string): void;
    private createNewTopicObservable(topic);
    private getDefaultOptions(host?, port?);
}
